Subject: Re: Using DMA

From: Bill Gatliff <[email-masked]>
Date: Thu, 06 Nov 2008 15:42:17 -0600

[email-masked] wrote:
> Bill Gatliff <[email-masked]> wrote on 11/06/2008 10:36:58 AM:
> 
>> Scott Wood wrote:
>>> [email-masked] wrote:
>>>> In the Cafe driver, Linux Device Drivers 3rd Edition, and
>>>> DMA-mapping.txt everyone talks about how to allocate buffers using
>>>> dma/pci_alloc_coherent(), but no one talks about how to actually use
>>>> it. I'm pretty sure (even in my ignorance) that just allocating a DMA
>>>> coherent buffer and then copying in and out of it does NOT actually
>>>> engage the underlying hardware and perform a DMA transfer.
>> Does the "adma" stuff address this any?
>>
> 
> What is "adma"?
> 
> Bruce
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> 

Asynchronous DMA.  See this paper, for example:

http://www.power.org/devcon/07/Session_Downloads/PADC07_Aytac_Haluk_09_13_07_layout_FINAL.pdf

It looks like the structure of interest is async_tx_submit.  Beyond
that, I can't offer much because I haven't used it.

b.g.
-- 
Bill Gatliff
[email-masked]